---
kind: pipeline
type: docker
name: build

steps:
# - name: build
#   image: squidfunk/mkdocs-material:7.1.9
#   volumes:
#   - name: site
#     path: /site
#   commands:
#   - /usr/local/bin/python -m pip install --upgrade pip
#   - mkdocs build
#   - cp -r site/ /site
#   - chmod -R 777 /site

- name: ssh
  image: appleboy/drone-ssh
  settings:
    host:
      from_secret: ssh_server
    username:
      from_secret: ssh_username
    password:
      from_secret: ssh_password
    port: 22
    environment:
      GIT_PULL:
        from_secret: git_pull_script
    envs:
      - git_pull_script
    command_timeout: 2m
    script:
        - $GIT_PULL
